# StatusBarPanelClickEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md)
  * [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md)

Provides data for the [PanelClick](/api/wisej.web/containers/statusbar.md#panelclick) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBarPanelClickEventArgs : MouseEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBarPanelClickEventArgs
    Inherits MouseEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarPanelClickEventArgs(statusBarPanel, button, clicks, x, y)

Initializes a new instance of the [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md) class.

| Name               | Type                                                                              | Description                                                                                                                                                                                                                                   |
| ------------------ | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **statusBarPanel** | [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) | The [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) that represents the panel that was clicked.                                                                                                             |
| **button**         | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md)             | One of the [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that represents the mouse buttons that were clicked while over the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md). |
| **clicks**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The number of times that the mouse button was clicked.                                                                                                                                                                                        |
| **x**              | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The x-coordinate of the mouse click.                                                                                                                                                                                                          |
| **y**              | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The y-coordinate of the mouse click.                                                                                                                                                                                                          |

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarPanelClickEventArgs(statusBarPanel, button, clicks, x, y, role)

Initializes a new instance of the [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md) class.

| Name               | Type                                                                              | Description                                                                                                                                                                                                                                   |
| ------------------ | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **statusBarPanel** | [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) | The [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) that represents the panel that was clicked.                                                                                                             |
| **button**         | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md)             | One of the [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that represents the mouse buttons that were clicked while over the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md). |
| **clicks**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The number of times that the mouse button was clicked.                                                                                                                                                                                        |
| **x**              | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The x-coordinate of the mouse click.                                                                                                                                                                                                          |
| **y**              | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The y-coordinate of the mouse click.                                                                                                                                                                                                          |
| **role**           | [String](https://docs.microsoft.com/dotnet/api/system.string)                     | The internal role assigned to the element that generated the pointer event.                                                                                                                                                                   |

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarPanelClickEventArgs(args)

Initializes a new instance of the [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md) class.

| Name     | Type                                                        | Description                                   |
| -------- | ----------------------------------------------------------- | --------------------------------------------- |
| **args** | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | The event arguments received from the client. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarPanel

[StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md): Returns the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) to draw.

## Used By

| Name                                                                                                                | Description                                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [StatusBarPanelClickEventHandler](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventhandler.md) | Represents the method that will handle the [PanelClick](/api/wisej.web/containers/statusbar.md#panelclick) event of a [StatusBar](/api/wisej.web/containers/statusbar.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
